Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 3926)
+++ trunk/MagicSoft/Mars/Changelog	(revision 3927)
@@ -19,10 +19,33 @@
                                                  -*-*- END OF LINE -*-*-
 
+ 2004/05/01: Thomas Bretz
+
+   * macros/rootlogon.C:
+     - ignore MARSSYS if libmars.so is found in the current path
+
+   * mastro/MObservatory.cc:
+     - small change to coordinates
+
+   * mbase/MLog.[h,cc]:
+     - enhanced output in case of problem with mutices
+
+   * mtemp/TempIncl.h, mtemp/TemlLinkDef.h:
+     - removed everything
+
+   * Makefile*, */Makefile
+     - changed all to support mtemp/mifae and similar
+
+
+
  2004/05/01: Abelardo Moralejo
+
    * mmain/MEventDisplay.cc
      - changed back integration range for MC to 0-14 slices to avoid 
        confusions.
 
+
+
  2004/05/01: Markus Gaug
+
    * macros/dohtml.C
      - include directory mpedestal
@@ -41,4 +64,5 @@
 
 
+
  2004/04/30: Thomas Bretz
 
@@ -49,4 +73,7 @@
    * mbase/MTime.h:
      - added 'istream &operator<<(istream &in, MTime &t)'
+
+   * mbase/BaseLinkDef.h:
+     - added new operator
 
 
Index: trunk/MagicSoft/Mars/Makefile
===================================================================
--- trunk/MagicSoft/Mars/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/Makefile	(revision 3927)
@@ -67,6 +67,4 @@
           mtools
 
-#          monline \
-
 #LIBRARIES = $(SUBDIRS:%=lib/lib%.a)
 LIBRARIES = $(SUBDIRS:=.a)
@@ -76,20 +74,16 @@
 
 #------------------------------------------------------------------------------
-
 .SUFFIXES: .c .cc .h .o 
 
 SRCFILES =
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) MCint.o
-
 ############################################################
-all: rmlib $(SOLIB) $(PROGRAMS)
+all: $(SOLIB) $(PROGRAMS)
 	@echo " Done. "
 	@echo " "
 
 static: LIBS=$(SUBDIRS:=/*.o) $(OBJS)
-static: rmlib $(LIBRARIES) $(PROGRAMS)
+#static: rmlib $(LIBRARIES) $(PROGRAMS)
+static: $(LIBRARIES) $(PROGRAMS)
 	@echo " Done. "
 	@echo " "
@@ -104,22 +98,8 @@
 	@echo " Linking $(SOLIB) ..."
 	$(CXX) $(CXXFLAGS) $(DYNLIB) $(OBJS) $(SUBDIRS:=/*.o) $(ROOTGLIBS) -o $@
-#	$(CXX) $(CXXFLAGS) $(DYNLIB) $(OBJS) -Wl,--export-dynamic -Llib $(LIBRARIES:%.a=-l%) -o $@
 
-$(PROGRAMS): $(LIBS) $(PROGRAMS:=.o)
+$(PROGRAMS): $(SOLIB) $(PROGRAMS:=.o)
 	@echo " Linking $@ ..." 
-	$(CXX) $(CXXFLAGS) $(ROOTGLIBS) $(LIBS) $@.o $(MARS_LIB) -o $@
-
-# FOR CONVINIENCE CREATE Dep-file first!
-$(LIBRARIES):
-	@echo " Creating lib$@:"
-	(cd $*; $(MAKE) -f Makefile; cd ..; mv $*/$@ lib/lib$@)
-
-$(MRPROPERS):
-	@echo " Doing Mr.Proper in $(@:.mrproper=)"
-	(cd $(@:.mrproper=); ($(MAKE) -f Makefile mrproper > /dev/null); cd ..;) 
-
-$(CLEANERS):
-	@echo "Cleaning $(@:.clean=):"
-	(cd $(@:.clean=); $(MAKE) -f Makefile clean; cd ..;) 
+	$(CXX) $(CXXFLAGS) $(ROOTGLIBS) $(SOLIB) $@.o $(MARS_LIB) -o $@
 
 dox: $(SOLIB)
Index: trunk/MagicSoft/Mars/Makefile.conf.general
===================================================================
--- trunk/MagicSoft/Mars/Makefile.conf.general	(revision 3926)
+++ trunk/MagicSoft/Mars/Makefile.conf.general	(revision 3927)
@@ -24,2 +24,4 @@
 FFLAGS    = $(CXXFLAGS)
 
+HEADERS = $($(subst .cxx,.cc,SRCFILES):.cc=.h)
+OBJS    = $($(subst .cxx,.cc,SRCFILES):.cc=.o) $(CINT)Cint.o
Index: trunk/MagicSoft/Mars/Makefile.conf.linux
===================================================================
--- trunk/MagicSoft/Mars/Makefile.conf.linux	(revision 3926)
+++ trunk/MagicSoft/Mars/Makefile.conf.linux	(revision 3927)
@@ -6,7 +6,4 @@
 # 
 ##################################################################
-# @maintitle
-
-# @code
 
 # compilers
@@ -36,7 +33,2 @@
 
 .SILENT:
-
-# @endcode
-##EOF
-
-
Index: trunk/MagicSoft/Mars/Makefile.rules
===================================================================
--- trunk/MagicSoft/Mars/Makefile.rules	(revision 3926)
+++ trunk/MagicSoft/Mars/Makefile.rules	(revision 3927)
@@ -1,12 +1,23 @@
 include $(CINT)Dep.d
 
+$(MRPROPERS):
+	@echo " Doing Mr.Proper in $(@:.mrproper=)"
+	(cd $(@:.mrproper=); ($(MAKE) -f Makefile mrproper > /dev/null); cd ..;) 
+
+$(CLEANERS):
+	@echo "Cleaning $(@:.clean=):"
+	(cd $(@:.clean=); $(MAKE) -f Makefile clean; cd ..;) 
+
+$(LIBRARIES):
+	@echo " Calling make in $(@:.a=)"
+	(cd $*; $(MAKE) -f Makefile all)
+
 $(LIB): $(OBJS) $(CINT)Cint.o
-	@echo " - Building Library lib$(LIB)"
-	$(AR) $(LIB) $(OBJS) $(CINT)Cint.o
+	@echo " - Building Library $(LIB)"
+	$(CXX) $(CXXFLAGS) $(DYNLIB) $(OBJS) $(CINT)Cint.o -o $(LIB)
 	@echo " "
 
 $(CINT)Cint.cc: $(HEADERS) $(CINT)LinkDef.h
 	@echo " - Generating dictionary $(CINT)Cint.cc"
-
 	$(ROOTSYS)/bin/rootcint -f $(CINT)Cint.cc \
 	-c $(INCLUDES) $(DEFINES) $(HEADERS) $(CINT)Incl.h $(CINT)LinkDef.h 
Index: trunk/MagicSoft/Mars/macros/rootlogon.C
===================================================================
--- trunk/MagicSoft/Mars/macros/rootlogon.C	(revision 3926)
+++ trunk/MagicSoft/Mars/macros/rootlogon.C	(revision 3927)
@@ -85,5 +85,7 @@
     cout << endl;
 
-    TString dir = gSystem->Getenv("MARSSYS");
+    const Bool_t fileexist = !gSystem->AccessPathName("libmars.so", kFileExists);
+
+    TString dir = fileexist ? "" : gSystem->Getenv("MARSSYS");
     if (!dir.IsNull())
     {
Index: trunk/MagicSoft/Mars/manalysis/Makefile
===================================================================
--- trunk/MagicSoft/Mars/manalysis/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/manalysis/Makefile	(revision 3927)
@@ -1,5 +1,5 @@
 ##################################################################
 #
-#   makefile
+#   subdirectory makefile
 # 
 #   for the MARS software
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Analysis
-
-#
-# Library name to creatre
-#
-LIB   = manalysis.a
 
 #
@@ -28,8 +25,4 @@
            -I../mbadpixels -I../mastro -I../mpedestal
 # mcalib: MGeomApply (MCalibrationCam)
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MHPedestalPix.cc \
@@ -77,11 +70,7 @@
            MMcCalibrationUpdate.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all:  $(OBJS)
 
 include ../Makefile.rules
@@ -90,4 +79,2 @@
 
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mastro/MObservatory.cc
===================================================================
--- trunk/MagicSoft/Mars/mastro/MObservatory.cc	(revision 3926)
+++ trunk/MagicSoft/Mars/mastro/MObservatory.cc	(revision 3927)
@@ -75,12 +75,12 @@
     switch (name)
     {
-        // BE EXTREMLY CARFEFULL CHANGING THIS CLASS! THE TRACKING SYSTEM
-        // IS BASED ON IT!
+        // BE EXTREMLY CARFEFULL CHANGING THIS CLASS!
+        // THE TRACKING SYSTEM IS BASED ON IT!
     case kMagic1:
-        // Values taken from the GPS Receiver (avg 20h)
-        // on 26/11/2003 at 17h30 in the counting house
-        fLatitude  = MAstro::Dms2Rad(28, 45, 42.576, '+');
-        fLongitude = MAstro::Dms2Rad(17, 53, 26.460, '-');
-        fHeight    = 2196.5; // m
+        // Values taken from the GPS Receiver (avg 24h)
+        // on 29/04/2004 at 17h30 in the counting house
+        fLatitude  = MAstro::Dms2Rad(28, 45, 42.462, '+');
+        fLongitude = MAstro::Dms2Rad(17, 53, 26.525, '-');
+        fHeight    = 2199.4; // m
         fObservatoryName = "Observatorio del Roque de los Muchachos (Magic1)";
         break;
Index: trunk/MagicSoft/Mars/mastro/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mastro/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mastro/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,18 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mastro.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES =  -I. -I../mbase -I../mgeom -I../mtemp
-
 # mgeom (MAstroCamera): MGeomCam, MGeomMirror
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MAstro.cc \
@@ -36,18 +28,9 @@
            MObservatory.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mbadpixels/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mbadpixels/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mbadpixels/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = BadPixels
-
-#
-# Library name to creatre
-#
-LIB   = mbadpixels.a
 
 #
@@ -30,7 +27,4 @@
 # MBadPixelsTreat (mpedestal): MPedPhot*
 
-
-#------------------------------------------------------------------------------
-
 .SUFFIXES: .c .cc .cxx .h .hxx .o 
 
@@ -42,11 +36,7 @@
            MMcBadPixelsSet.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
@@ -55,4 +45,2 @@
 
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mbase/MLog.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 3926)
+++ trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 3927)
@@ -359,5 +359,5 @@
 
     // lock mutex
-    Lock();
+    Lock("UpdateGui");
 
     TGText &txt=*fGui->GetText();
@@ -387,18 +387,20 @@
 
     // release mutex
-    UnLock();
-}
-
-void MLog::Lock()
+    UnLock("UpdateGui");
+}
+
+void MLog::Lock(const char *msg)
 {
 #ifdef _REENTRANT
-    fMuxGui->Lock();
+    if (fMuxGui->Lock()==13)
+        Error("Lock", "%s - mutex is already locked by this thread\n", msg);
 #endif
 }
 
-void MLog::UnLock()
+void MLog::UnLock(const char *msg)
 {
 #ifdef _REENTRANT
-    fMuxGui->UnLock();
+    if (fMuxGui->UnLock()==13)
+        Error("UnLock", "%s - tried to unlock mutex locked by other thread\n", msg);
 #endif
 }
@@ -410,7 +412,7 @@
 int MLog::sync()
 {
-    Lock();
+    Lock("sync");
     WriteBuffer();
-    UnLock();
+    UnLock("sync");
 
     if (fDevice&eStdout)
@@ -446,5 +448,5 @@
     if (fOutputLevel <= fDebugLevel)
     {
-        Lock();
+        Lock("overflow");
 
         *fPPtr++ = (char)i;
@@ -453,5 +455,5 @@
             WriteBuffer();
 
-        UnLock();
+        UnLock("overflow");
     }
 
Index: trunk/MagicSoft/Mars/mbase/MLog.h
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLog.h	(revision 3926)
+++ trunk/MagicSoft/Mars/mbase/MLog.h	(revision 3927)
@@ -102,6 +102,6 @@
     ~MLog();
 
-    void Lock();
-    void UnLock();
+    void Lock(const char *msg);
+    void UnLock(const char *msg);
 
     void EnableDirectGui()  { fIsDirectGui = kTRUE; }
Index: trunk/MagicSoft/Mars/mbase/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mbase/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mbase/Makefile	(revision 3927)
@@ -1,22 +1,13 @@
 ##################################################################
 #
-#   makefile
+#   subdirectory makefile
 # 
 #   for the MARS software
 #
 ##################################################################
-# @maintitle
-
-# @code
-
-#
-#  please change all system depend values in the 
-#  config.mk.${OSTYPE} file 
-#
-#
 include ../Makefile.conf.$(OSTYPE)
 include ../Makefile.conf.general
 
-# @endcode 
+#------------------------------------------------------------------------------
 
 INCLUDES = -I. -I../mfileio -I../mfbase -I../mastro
@@ -25,12 +16,5 @@
 # mastro:   MAstro (MTime)
 
-# @code 
-
-CINT     = Base
-LIB      = mbase.a
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
+CINT = Base
 
 SRCFILES = MLogo.cc \
@@ -49,5 +33,4 @@
            MFilter.cc \
            MEvtLoop.cc \
-           MStatusDisplay.cc \
            MProgressBar.cc \
            MSearch.cc \
@@ -70,17 +53,9 @@
            MPrint.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mcalib/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mcalib/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mcalib/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Calib
-
-#
-# Library name to creatre
-#
-LIB   = mcalib.a
 
 #
@@ -33,8 +30,4 @@
 # mmc:       MMcFadcHeader, MMcEvt
 # mimage     MHillas
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MCalibrate.cc \
@@ -55,5 +48,4 @@
            MCalibrationChargePINDiode.cc  \
            MHCalibrationChargeBlindPix.cc \
-           MHCalibrationChargeBlindPix.cc \
            MHCalibrationChargePix.cc \
            MHCalibrationCam.cc \
@@ -69,17 +61,9 @@
 	   MHGausEvents.cc 
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mcamera/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mcamera/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mcamera/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,17 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mcamera.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mgui
 # mgui - MCameraDC <MCamEvent>
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MCameraAUX.cc \
@@ -39,18 +32,9 @@
 	   MCameraPowerSupply.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mdata/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mdata/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mdata/Makefile	(revision 3927)
@@ -6,28 +6,12 @@
 #
 ##################################################################
-# @maintitle
-
-# @code
-
-#
-#  please change all system depend values in the 
-#  config.mk.${OSTYPE} file 
-#
-#
 include ../Makefile.conf.$(OSTYPE)
 include ../Makefile.conf.general
 
-# @endcode 
+#------------------------------------------------------------------------------
 
 INCLUDES = -I. -I../mbase -I../mhbase
 
-# @code 
-
 CINT     = Data
-LIB      = mdata.a
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MData.cc \
@@ -40,18 +24,10 @@
            MDataFormula.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
 
-# @endcode
-
Index: trunk/MagicSoft/Mars/mfbase/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mfbase/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mfbase/Makefile	(revision 3927)
@@ -6,28 +6,12 @@
 #
 ##################################################################
-# @maintitle
-
-# @code
-
-#
-#  please change all system depend values in the 
-#  config.mk.${OSTYPE} file 
-#
-#
 include ../Makefile.conf.$(OSTYPE)
 include ../Makefile.conf.general
 
-# @endcode 
+#------------------------------------------------------------------------------
 
 INCLUDES = -I. -I../mbase -I../mdata -I../mfileio -I../mhbase
 
-# @code 
-
 CINT     = FBase
-LIB      = mfbase.a
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MF.cc \
@@ -39,18 +23,9 @@
            MFRealTimePeriod.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mfileio/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mfileio/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mfileio/Makefile	(revision 3927)
@@ -6,17 +6,8 @@
 #
 ##################################################################
-# @maintitle
-
-# @code
-
-#
-#  please change all system depend values in the 
-#  config.mk.${OSTYPE} file 
-#
-#
 include ../Makefile.conf.$(OSTYPE)
 include ../Makefile.conf.general
 
-# @endcode 
+#------------------------------------------------------------------------------
 
 INCLUDES = -I. -I../mbase -I../mraw -I../mmc -I../mreflector -I../mgui \
@@ -34,12 +25,5 @@
 #mpedestal:  MPedestalCam  (MCT1ReadAscii)
 
-# @code 
-
 CINT     = FileIO
-LIB      = mfileio.a
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MRead.cc \
@@ -55,18 +39,9 @@
            MCT1ReadPreProc.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mfilter/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mfilter/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mfilter/Makefile	(revision 3927)
@@ -6,17 +6,8 @@
 #
 ##################################################################
-# @maintitle
-
-# @code
-
-#
-#  please change all system depend values in the 
-#  config.mk.${OSTYPE} file 
-#
-#
 include ../Makefile.conf.$(OSTYPE)
 include ../Makefile.conf.general
 
-# @endcode 
+#------------------------------------------------------------------------------
 
 INCLUDES = -I. -I../mbase -I../mfbase -I../mraw -I../mmc -I../mdata \
@@ -25,12 +16,5 @@
            -I../mpedestal
 
-# @code 
-
 CINT     = Filter
-LIB      = mfilter.a
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MFTriggerLvl1.cc \
@@ -49,18 +33,9 @@
 	   MFEnergySlope.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mgeom/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mgeom/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mgeom/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,16 +17,7 @@
 
 #
-# Library name to creatre
-#
-LIB   = mgeom.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../MBase
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MGeomPix.cc \
@@ -41,18 +34,9 @@
 	   MGeomPMT.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mgui/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mgui/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mgui/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,34 +17,16 @@
 
 #
-# Library name to creatre
-#
-LIB   = mgui.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mgeom
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MHexagon.cc \
 	   MCamEvent.cc
            
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mhbase/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mhbase/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mhbase/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,16 +17,7 @@
 
 #
-# Library name to creatre
-#
-LIB   = mhbase.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mdata
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MFillH.cc \
@@ -36,25 +29,9 @@
            MHMatrix.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
-
-
-
-
-
-
-
Index: trunk/MagicSoft/Mars/mhist/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mhist/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mhist/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Hist
-
-#
-# Library name to creatre
-#
-LIB   = mhist.a
 
 #
@@ -26,8 +23,4 @@
            -I../mmain -I../mmc -I../mreflector -I../mpointing       \
            -I../mastro -I../mpedestal
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MHEvent.cc \
@@ -64,26 +57,9 @@
 #           MHCurrents.cc \
 
-
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
-
-
-
-
-
-
-
Index: trunk/MagicSoft/Mars/mhistmc/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mhistmc/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mhistmc/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,17 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mhistmc.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mhbase -I../mhist -I../mmc -I../manalysis \
     	   -I../mimage -I../mgeom -I../mgui
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MHMcEnergy.cc \
@@ -42,25 +35,9 @@
 	   MHMcTriggerLvl2.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
-
-
-
-
-
-
-
Index: trunk/MagicSoft/Mars/mhvstime/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mhvstime/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = HVsTime
-
-#
-# Library name to creatre
-#
-LIB   = mhvstime.a
 
 #
@@ -28,26 +25,13 @@
 # mraw  (MRawEvtHeader)
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MHVsTime.cc \
            MHPixVsTime.cc \
            MHSectorVsTime.cc
-           
-
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
 
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mimage/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mimage/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mimage/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,17 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mimage.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mhbase -I../mgeom -I../manalysis \
 	   -I../mgui -I../mmc -I../mpointing -I../mpedestal
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MImgCleanStd.cc \
@@ -46,17 +39,9 @@
 	   MStereoCalc.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mjobs/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mjobs/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mjobs/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Jobs
-
-#
-# Library name to creatre
-#
-LIB   = mjobs.a
 
 #
@@ -28,8 +25,4 @@
 #manalysis: MChisqEval (MParameters)
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MJPedestal.cc \
            MJCalibration.cc \
@@ -38,18 +31,9 @@
            MGCamDisplays.cc 
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mmain/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mmain/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mmain/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Main
-
-#
-# Library name to creatre
-#
-LIB   = mmain.a
 
 #
@@ -27,8 +24,4 @@
            -I../mdata -I../msignal -I../mcalib -I../mbadpixels            \
            -I../mpointing -I../mpedestal
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MBrowser.cc \
@@ -43,17 +36,9 @@
            MCameraDisplay.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mmontecarlo/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mmontecarlo/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mmontecarlo/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = MonteCarlo
-
-#
-# Library name to creatre
-#
-LIB   = mmontecarlo.a
 
 #
@@ -26,8 +23,4 @@
            -I../mfilter -I../mdata -I../mfbase
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MMcCollectionAreaCalc.cc \
 	   MMcThresholdCalc.cc \
@@ -37,18 +30,9 @@
 	   MMcWeightEnergySpecCalc.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o)
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mpedestal/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mpedestal/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Pedestal
-
-#
-# Library name to creatre
-#
-LIB   = mpedestal.a
 
 #
@@ -32,8 +29,4 @@
 # MPedPhotCalc      (MBadPixelsCam)
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MMcPedestalCopy.cc \
            MMcPedestalNSBAdd.cc \
@@ -45,11 +38,7 @@
 	   MPedestalPix.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
@@ -58,4 +47,2 @@
 
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mpointing/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mpointing/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mpointing/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT = Pointing
-
-#
-# Library name to creatre
-#
-LIB  = mpointing.a
 
 #
@@ -25,8 +22,4 @@
            -I../mastro -I../mgeom
 
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
 SRCFILES = MPointingPos.cc \
 	   MPointingPosCalc.cc \
@@ -34,18 +27,9 @@
            MSrcPosCalc.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mranforest/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mranforest/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mranforest/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,16 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mranforest.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mhbase -I../mdata -I../manalysis -I../mmc -I../mfileio
 #               MParContainer MH     MDataArray MHadronness    MMcEvt
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MRanTree.cc \
@@ -36,17 +30,9 @@
 	   MHRanForestGini.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
Index: trunk/MagicSoft/Mars/mraw/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mraw/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mraw/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,17 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mraw.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mgui -I../mgeom -I../MBase
 # mgui (MCamEvent), mgeom(MGeomCam)
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MRawRunHeader.cc \
@@ -40,18 +33,9 @@
            MRawSocketRead.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mreflector/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mreflector/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mreflector/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,16 +17,7 @@
 
 #
-# Library name to creatre
-#
-LIB   = mreflector.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mgui -I../mgeom
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MRflEvtData.cc \
@@ -33,18 +26,9 @@
 	   MRflSinglePhoton.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/mreport/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mreport/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mreport/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,17 +17,8 @@
 
 #
-# Library name to creatre
-#
-LIB   = mreport.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mastro -I../mcamera -I../mgui
 # mgui - MCameraDC <MCamEvent>
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MReport.cc \
@@ -40,18 +33,9 @@
            MReportFileRead.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/msignal/Makefile
===================================================================
--- trunk/MagicSoft/Mars/msignal/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/msignal/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Signal
-
-#
-# Library name to creatre
-#
-LIB   = msignal.a
 
 #
@@ -30,8 +27,4 @@
 # mraw (MRawEvtData):       MExtractSignal
 # manalysis (MPedestalCam): MExtractSignal
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MExtractedSignalCam.cc \
@@ -57,18 +50,9 @@
 	   MArrivalTimePix.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
Index: trunk/MagicSoft/Mars/msql/Makefile
===================================================================
--- trunk/MagicSoft/Mars/msql/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/msql/Makefile	(revision 3927)
@@ -9,4 +9,6 @@
 include ../Makefile.conf.general
 
+############################################################
+
 #
 # Handling name of the Root Dictionary Files
@@ -15,14 +17,7 @@
 
 #
-# Library name to creatre
-#
-LIB   = msql.a
-
-#
 #  connect the include files defined in the config.mk file
 #
 INCLUDES = -I. -I../mbase -I../mraw
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = \
@@ -30,19 +25,9 @@
 	MSqlInsertRun.cc
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
-
Index: trunk/MagicSoft/Mars/mtemp/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mtemp/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mtemp/Makefile	(revision 3927)
@@ -1,5 +1,5 @@
 ##################################################################
 #
-#   makefile
+#   subdirectory makefile
 # 
 #   for the MARS software
@@ -9,43 +9,17 @@
 include ../Makefile.conf.general
 
-#
-# Handling name of the Root Dictionary Files
-#
-CINT  = Temp
+#------------------------------------------------------------------------------
 
-#
-# Library name to creatre
-#
-LIB   = mtemp.a
+INCLUDES = -I.
 
-#
-#  connect the include files defined in the config.mk file
-#
-INCLUDES = -I. -I../mbase -I../mraw -I../manalysis -I../mmc \
-	   -I../mgui -I../mgeom -I../mdata -I../mhist -I../../slalib
+CINT     = Temp
 
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
-
-SRCFILES = \
-	MObservatoryLocation.cc \
-	MVPObject.cc \
-	MVPPlotter.cc \
-	MVPTime.cc 
-
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
+SRCFILES = 
 
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
-
Index: trunk/MagicSoft/Mars/mtemp/TempIncl.h
===================================================================
--- trunk/MagicSoft/Mars/mtemp/TempIncl.h	(revision 3926)
+++ trunk/MagicSoft/Mars/mtemp/TempIncl.h	(revision 3927)
@@ -1,5 +1,3 @@
 #ifndef __CINT__
 
-#include <slalib.h>
-
 #endif // __CINT__
Index: trunk/MagicSoft/Mars/mtemp/TempLinkDef.h
===================================================================
--- trunk/MagicSoft/Mars/mtemp/TempLinkDef.h	(revision 3926)
+++ trunk/MagicSoft/Mars/mtemp/TempLinkDef.h	(revision 3927)
@@ -5,6 +5,2 @@
 #pragma link off all functions;
 
-#pragma link C++ class MObservatoryLocation+;
-#pragma link C++ class MVPObject+;
-#pragma link C++ class MVPPlotter+;
-#pragma link C++ class MVPTime+;
Index: trunk/MagicSoft/Mars/mtemp/mifae/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mtemp/mifae/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mtemp/mifae/Makefile	(revision 3927)
@@ -23,6 +23,6 @@
 
 PROGRAMS = makeHillas psffit
-SOLIB    = ../../libmars.so
-LIB      = mifae.a
+#SOLIB    = ../../libmars.so
+#LIB      = mifae.a
 
 #------------------------------------------------------------------------------
@@ -48,5 +48,5 @@
 
 
-.SUFFIXES: .c .cc .h .o 
+#.SUFFIXES: .c .cc .h .o 
 
 SRCFILES = \
@@ -57,11 +57,11 @@
 #	MSrcRotate.cc 
 
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
+#SRCS    = $(SRCFILES)
+#HEADERS = $(SRCFILES:.cc=.h)
+#OBJS    = $(SRCFILES:.cc=.o) 
 
 ############################################################
 #all: $(LIB) $(PROGRAMS)
-all: $(LIB)
+all: $(OBJS)
 	@echo " Done. "
 	@echo " "
Index: trunk/MagicSoft/Mars/mtools/Makefile
===================================================================
--- trunk/MagicSoft/Mars/mtools/Makefile	(revision 3926)
+++ trunk/MagicSoft/Mars/mtools/Makefile	(revision 3927)
@@ -9,13 +9,10 @@
 include ../Makefile.conf.general
 
+#------------------------------------------------------------------------------
+
 #
 # Handling name of the Root Dictionary Files
 #
 CINT  = Tools
-
-#
-# Library name to creatre
-#
-LIB   = mtools.a
 
 #
@@ -26,8 +23,4 @@
 
 #manalysis: MChisqEval (MParameters)
-
-#------------------------------------------------------------------------------
-
-.SUFFIXES: .c .cc .cxx .h .hxx .o 
 
 SRCFILES = MChisqEval.cc \
@@ -45,19 +38,9 @@
            MineSweeper.cc
 
-
-SRCS    = $(SRCFILES)
-HEADERS = $(SRCFILES:.cc=.h)
-OBJS    = $(SRCFILES:.cc=.o) 
-
 ############################################################
 
-all: $(LIB)
+all: $(OBJS)
 
 include ../Makefile.rules
 
-#clean:	rmcint rmobjs rmcore rmlib
-
 mrproper:	clean rmbak
-
-# @endcode
-
